if ((app.documents.length > 0) && (app.activeDocument.pages.length > 2)){
	schatten();
	//printKernTexts("SoftsoulOT");
}
else{
	alert("No documents are open. Please open a document, select an object, and try again.");
}
function schatten () {
	myDoc = app.activeDocument;
	// try  
	// 	{ 
	// 		aLayer = myDoc.layers.add( {name: "Schatten"} ); 
	// 	} 
	// 	catch( e ) 
	// 	{ 
	// 		aLayer = myDoc.layers.item( "Schatten" ); 
	// 	}
	
	
	
	for (i = myDoc.layers.length -1; i >= 0; i--) 
		if (myDoc.layers[i].name == "Schatten") 
			myDoc.layers[i].remove();
	
	myDoc.layers.add({name: "Schatten"});
	
	
	// Noch zu machen: besserer Verlauf als Swash.
	//mySchaddow = myDoc.gradients.add({name:"Schatten", label:"Test"});
	//mySchaddow.gradientStops.add()
	//mySchaddow.gradientStops.add()
	
	
	var width=myDoc.documentPreferences.pageWidth;
	var height=myDoc.documentPreferences.pageHeight;
	var myRectangleFrame;
	for (i = 1; i < myDoc.pages.length; i++){
		if ((i % 2) > 0 ) {
			myRectangleFrame = myDoc.pages.item(i).rectangles.add({geometricBounds:[0, width*0.85, height, width]});
			myRectangleFrame.transparencySettings.gradientFeatherSettings.angle = 180;
		}
		else {
			myRectangleFrame = myDoc.pages.item(i).rectangles.add({geometricBounds:[0, width + (width*0.15), height, width]});
		}
		myRectangleFrame.fillColor = "Black";
		myRectangleFrame.transparencySettings.gradientFeatherSettings.applied = true;
		myRectangleFrame.transparencySettings.gradientFeatherSettings.type = GradientType.linear;
		//myRectangleFrame.transparencySettings.gradientFeatherSettings.angle = 180;
		
		myRectangleFrame.transparencySettings.blendingSettings.opacity= 30.0;
		myRectangleFrame.transparencySettings.blendingSettings.blendMode= BlendMode.multiply;
	}
	myDoc.layers[0].locked = true;
	myDoc.activeLayer = myDoc.layers[1];
}
